MagicWP Docs
Cloudflare

SSL mode, Always Use HTTPS, development mode

PATCH
/v1/sites/{site_id}/cloudflare/settings

Permission: domains.manage

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
ssl_mode?string|null
always_use_https?boolean|null
development_mode?boolean|null
under_attack?boolean|null
security_level_was?string|null
block_xmlrpc?boolean|null

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X PATCH "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cloudflare/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "zone_settings": null,    "changed": [      "string"    ]  }}